WP1FootnoteEndnoteGroup Class Reference

`#include <WP1FootnoteEndnoteGroup.h>`

Inheritance diagram for WP1FootnoteEndnoteGroup:

## Public Member Functions

| WP1FootnoteEndnoteGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP1FootnoteEndnoteGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP1Listener *listener) override
Public Member Functions inherited from WP1VariableLengthGroup
| WP1VariableLengthGroup (unsigned char group)
| ~WP1VariableLengthGroup () override
Public Member Functions inherited from WP1Part
virtual | ~WP1Part ()

## Private Member Functions

| WP1FootnoteEndnoteGroup (const WP1FootnoteEndnoteGroup &)
WP1FootnoteEndnoteGroup & | operator= (const WP1FootnoteEndnoteGroup &)

## Private Attributes

WPXNoteType | m_noteType
unsigned short | m_noteNumber
std::unique_ptr< WP1SubDocument > | m_subDocument

## Additional Inherited Members

Static Public Member Functions inherited from WP1VariableLengthGroup
static WP1VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP1Part
static WP1Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP1VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const
unsigned | getSize () const

## Constructor & Destructor Documentation

## WP1FootnoteEndnoteGroup() [1/2]

WP1FootnoteEndnoteGroup::WP1FootnoteEndnoteGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

Referenced by operator=(), and WP1FootnoteEndnoteGroup().

## ~WP1FootnoteEndnoteGroup()

WP1FootnoteEndnoteGroup::~WP1FootnoteEndnoteGroup | ( |  | ) |

override

## WP1FootnoteEndnoteGroup() [2/2]

WP1FootnoteEndnoteGroup::WP1FootnoteEndnoteGroup | ( | const WP1FootnoteEndnoteGroup & |  | ) |

private

## Member Function Documentation

## _readContents()

void WP1FootnoteEndnoteGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP1VariableLengthGroup.

## operator=()

WP1FootnoteEndnoteGroup & WP1FootnoteEndnoteGroup::operator= | ( | const WP1FootnoteEndnoteGroup & |  | ) |

private

## parse()

void WP1FootnoteEndnoteGroup::parse | ( | WP1Listener * | listener | ) |

override virtual

Implements WP1Part.

## Member Data Documentation

## m_noteNumber

unsigned short WP1FootnoteEndnoteGroup::m_noteNumber

private

Referenced by _readContents(), and WP1FootnoteEndnoteGroup().

## m_noteType

WPXNoteType WP1FootnoteEndnoteGroup::m_noteType

private

Referenced by _readContents(), parse(), and WP1FootnoteEndnoteGroup().

## m_subDocument

std::unique_ptr<WP1SubDocument> WP1FootnoteEndnoteGroup::m_subDocument

private

Referenced by _readContents(), parse(), and WP1FootnoteEndnoteGroup().

The documentation for this class was generated from the following files:

- WP1FootnoteEndnoteGroup.h
- WP1FootnoteEndnoteGroup.cpp